Subject: Re: [PATCH v5 00/27] multi-pack reachability bitmaps

From: Taylor Blau <[email-masked]>
Date: Wed, 1 Sep 2021 16:54:51 -0400

On Wed, Sep 01, 2021 at 01:49:47PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Sure, I don't mind getting more strict here in this series. If you want,
> > the below could be queued instead of the original 11/27:
>
> That may make the documentation and the code more consistent.
>
> > As far as I can tell, supporting arbitrary directories with
> > `--object-dir` was a historical accident, since even the documentation
> > says `<alt>` when referring to the value passed to this option.
>
> The synopsis has [--object-dir=<dir>], which wants to be cleaned up
> for consistency (or <alt> updated to <dir>, but I tend to agree with
> you that unifying to <alt> may make our intention more clear).
>
> It is unfortunate that "git multi-pack-index -h" says <file>, which
> is probably doubly wrong.  It seems this is the only instance that
> abuses OPT_FILENAME() for a non-file, so perhaps it is not too bad
> to fix it using the lower-level OPTION_FILENAME (instead of adding
> a one-off OPT_DIRECTORY_NAME() helper).
>
> Neither is something that would block this step, of course.

I think there is definitely plenty of opportunity to clean all of this
up even more. But I don't think this already-long series is the place to
do it necessarily, since we don't want to let these last-minute (mostly)
cosmetic issues get in the way of this series as a whole.

Hopefully this v5 is at a point where we could start merging it down to
'next' and then address things like the helptext, `s/dir/alt` and so on.

Thanks,
Taylor